package org.example;

import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

@Component
public class HelloRunner implements CommandLineRunner {

	private final HelloService helloService;

	public HelloRunner(HelloService helloService) {
		this.helloService = helloService;
	}

	@Override
	public void run(String[] args) {
		System.out.println(helloService.sayHello("John", 16));
	}
}
